#include <cstdio>

#define TASK "suffixgame"

int main() {
    freopen(TASK ".in", "r", stdin);
    freopen(TASK ".out", "w", stdout);

    int n;
    scanf("%d", &n);
    int last = -1;

    for (int i = 0; i < n; i++) scanf("%d", &last);

    printf("%d\n", (last - n) % 2 ? "First" : "Second");

    return 0;
}
